[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.DoOnHelp

Signals an OnHelp event handler.

## Declaration

Source position: forms.pp line 1581

`protected function TApplication.DoOnHelp(`
`Command: Word;`
`Data: PtrInt;`
`var CallHelp: Boolean`
`):Boolean; virtual;`

## Arguments

`Command` |  | Help command to handle in the event handler(s).
`Data` |  | Pointer to the help data used in the event handler(s).
`CallHelp` |  | True to signal a help handler in the form. False if the Help request is handled by the application.

## Function result

True when the message was handled.

## Description

Signals the OnHelp message handler. DoOnHelp tries the OnHelp handlers for the active form and the Application, as well as handler routines added for the ahtHelp handler type.

The CallHelp argument indicates if handler(s) in the Application instance should be called when the event handler in the form is completed. Set CallHelp to False when the help request has been satisfied in one of the event handlers.

DoOnHelp is called from the HelpCommand method.

## See also

TApplication.OnHelp |  | Event handler signalled when help is requested in the application.
TApplicationHandlerType |  | Types of Application notification handlers.